#include <iostream>
#include <algorithm>
using namespace std;
int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    int N, M;
    cin >> N >> M;
    int A[N], suma = 0;
    for(int i = 0; i < N; i++) cin >> A[i];
    for(int i = 0; i < M; i++){
        int x, y;
        cin >> x >> y;
        suma += abs(A[--x] + A[--y]);
    }
    cout << suma << endl;
    return 0;
}